summaryrefslogtreecommitdiffstats
path: root/deps/gpgme/gpgme.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/gpgme/gpgme.SlackBuild')
-rwxr-xr-xdeps/gpgme/gpgme.SlackBuild22
1 files changed, 15 insertions, 7 deletions
diff --git a/deps/gpgme/gpgme.SlackBuild b/deps/gpgme/gpgme.SlackBuild
index f4369d3..c31bcf9 100755
--- a/deps/gpgme/gpgme.SlackBuild
+++ b/deps/gpgme/gpgme.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2006-2009 Robby Workman, Northport, AL, USA
-# Copyright 2007, 2008, 2009, 2010, 2016, 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,10 @@
# Modified 2017 by Eric Hameleers <alien@slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=gpgme
-VERSION=${VERSION:-1.10.0}
+VERSION=${VERSION:-1.11.0}
BUILD=${BUILD:-1}
# Find out the default python version:
@@ -36,7 +38,6 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -51,6 +52,13 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -74,12 +82,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
-## Stupid omission in 1.8.0, don't these guys have QA?
-#cat $CWD/patches/gpgme-1.8.0_libsuffix.patch | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -104,6 +109,9 @@ CXXFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null